package com.medipreco.loopboxplugin;

import android.annotation.TargetApi;
import android.bluetooth.BluetoothAdapter;
import android.bluetooth.BluetoothProfile;
import android.content.Context;
import android.os.Build;
import android.util.Log;

public class LoopboxCheckBluetooth {

  private Context context;

  public LoopboxCheckBluetooth(Context context) {
    this.context = context;
  }

  @TargetApi(Build.VERSION_CODES.HONEYCOMB)
  public LoopboxCheckBluetooth() {
    BluetoothAdapter bluetoothAdapter = BluetoothAdapter.getDefaultAdapter();
    BluetoothProfile.ServiceListener profileListener = new BluetoothProfile.ServiceListener() {
      @Override
      public void onServiceConnected(int profile, BluetoothProfile proxy) {
        Log.d("LoopboxP", "Bluetooth conectado");
      }

      @Override
      public void onServiceDisconnected(int profile) {
        Log.d("LoopboxP", "Bluetooth desconectado");
      }
    };

    bluetoothAdapter.getProfileProxy(context, profileListener, BluetoothProfile.STATE_CONNECTED);
  }
}
